Bug 11317 - Glines 1.0.51 acts weird if you click a ball while a ball is moving
Summary: Glines 1.0.51 acts weird if you click a ball while a ball is moving
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-games (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-09 01:16 UTC by devjoe
Modified: 2013-04-02 04:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 22:44:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description devjoe 2000-05-09 01:16:06 UTC
In Glines 1.0.51, if you click on a ball while another ball is moving,
you trigger a bug which has a few different symptoms.

First off, the moving ball stops without reaching its destination, but
is effectively no longer there -- another ball that moves later may
go through that space and annihilate it.

The new ball you clicked on may go to its destination when you click
somewhere, and all will be well, but usually it jumps to the upper-left-hand
corner, annihiliating any ball already there.

Once a ball jumps there, further attempts to play will cause balls you
try to move to instead jump to that corner, until you run out of other
balls (typical if you trigger this early in a game) or until something
causes it to fix itself.  In my experience, what causes it to fix itself
has seemed erratic, but short straight moves and illegal moves tend to
do this.

Comment 1 David Mason 2000-05-24 20:12:59 UTC
There is a new release of GNOME coming out in the next few days. Once it is out
we will build rpms for rawhide and see if the bug is there or not.

Comment 2 David Mason 2000-08-10 18:39:04 UTC
jrb - take a look - I can't quite tell what the right situation should be

Comment 3 Gregory Leblanc 2001-02-06 22:44:11 UTC
I'd close this one in the RH bugzilla, we've got it over in the gnome bugzilla.
 See http://bugzilla.gnome.org/show_bug.cgi?id=29791 for more information.

Comment 4 Jonathan Blandford 2001-07-13 19:06:17 UTC
It's upstream.


Note You need to log in before you can comment on or make changes to this bug.